<?php

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace FrontModule;
use \Nette\Application\UI\Form;

 
class StenataPresenter extends BasePresenter {
    
    private $vrhyModel;
    private $chovPlanyModel;
    
    
    public function __construct(\VrhyModel $vrhyModel, \ChovPlanyModel $chovPlanyModel) {
    $this->vrhyModel = $vrhyModel;
    $this->chovPlanyModel = $chovPlanyModel;
    
    }
    
    public function beforeRender() {
        $this->template->title = 'Štěňata';
        $this->template->description = "Aktuální vrhy štěňat plemene velššpringršpaněl.";
    }
    
   
    
    public function renderList() {
      
        $this->template->aktualni = $this->vrhyModel->getAktualniVrhy(); 
        $this->template->ocekavane = $this->vrhyModel->getOcekavaneVrhy(); 
        $this->template->plany = $this->vrhyModel->getPlany(); 
        
 }
   
   
 

    
}
